Page MenuHome

VSE crash and failure to update
Closed, ArchivedPublic

Description

System Information
Operating system: Linux-4.15.0-54-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: TITAN RTX/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 430.26

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-07-18 14:52, hash: rB38d4483c6a51
Worked: (optional)

Short description of error
[I have downloaded the release candidate v.2 and found that Blender crashes whenever I try to build a proxy from a pro res 4K video file (and does nothing with lower resolutions - no proxy is built) with the default settings to a custom
directory. My previous version of Blender was several weeks old and did not seem to suffer from this shortcoming. Also, while I realize the refresh button for the VSE has been
removed - even in previous versions of Blender, with an mp4 (H264 codec) proxy created via HandBrake, the VSE would fail to update when I cut and reorganized stips. In this case,
the the audio or video would become delayed until I either moved another strip over the affected strip in a higher numbered layer OR I simply closed and re-opened the blend file.
The only way I know to replicate it is to do what I describe.
I apologize for the lengthy
message - I apologize if this has all been mentioned - I try to keep up to speed as best I can and have found little regarding this other than the new cache options (of which I
have tried almost every combination to better the issues) may still have bugs. Thank you for your time.]

Details

Type
Bug

Event Timeline

I only have a 1920 x 1080 Pro Res file, so perhaps I can help with the lower resolution trouble shooting. I was able to build a proxies using it,

using both the default directory and a custom one. Once "Rebuild Proxy and Timecode Indices" is pressed, there is no indication that anything is occurring within the default Blender UI. I first noticed that the icon was being displayed as a green update bar on my Win7 toolbar. This is the only progress monitor that I could see.

Opening the console and opening the proxy folder also shows a proxy being built. When the building is finished, the folder did update to show the file sizes.

At that point I selected the Proxy render sizes I had built under "View Settings" and they would play.

Is there anything in your proxy directory when you try to build smaller resolution proxies? Does the console show anything?

I think there should a "Building Proxies" progress bar like the tracker has, but that is a feature request not a bug as I understand it.

EDIT:
My system info:
Windows 7 GeForce GTX 470 RC2

Victor Bula (sachmo) added a comment.EditedJul 25 2019, 3:32 PM

A proxy folder with proxy file is eventually built even with my 4K videos, but as you said - the UI dies not acknowledge this. The sequencer is also unable to properly update recently arranged strips. I have also just noticed that everytime I render a video - the audio and video are not properly aligned (either the audio or the video will shift during rendering by a frame or two). This is a huge problem if you are working with several layers and effects (for example, a flicker effect will take me hours - if I can do it at all in the VSE). I understand there is a lot of work going into Blender right now, and the video editor has only one maintenaner, but it has essentially been rendered useless for me until these issues are addressed. I literally came across another bug while addressing the ones I originally posted about. I also don't think the progress bar for a proxy should be classified as a feature - it isn't a luxury - it's essential to understanding whether you can even use a proxy - and for most people, proxies will be necessary at some point. Thanks for your reply - I know the foundation is overwhelmed right now, hopefully this can be addressed sometime soon.

Victor Bula (sachmo) raised the priority of this task from Needs Triage by Developer to Unbreak Now!.Jul 25 2019, 3:33 PM
Alessio Monti di Sopra (a.monti) lowered the priority of this task from Unbreak Now! to Needs Triage by Developer.Jul 25 2019, 3:44 PM

Please don't change priority of your own reports, especially to the higher possible one, especially during the last phases of the release cycle.
Thanks.

My sincere apologies! I am simply not familiar with bug reporting policy.

No problem.
It's important to leave developers to decide the actual priority of a bug, to make the process the less chaotic possible; this is even more true now that the release candidate is out and thus the bug tracker is getting a lot of new reports everyday.

Now I will silently leave, since I literally know nothing about the Video Sequencer. Have a good day!

Richard Antalik (ISS) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Jul 25 2019, 6:00 PM

@Evan Wilson (EAW)
I will try to reproduce crash, but it would be helpful if you could provide small(in size) sample of file that will crash Blender.

As for proxies, the issue is known, progressbar is missing, but the proxies are building.
Because this was not considered to be critical issue, it will be fixed in next release.

@Richard Antalik (ISS)
I believe you mistagged me. @Victor Bula (sachmo) is the user experiencing the crash and the filer of this report. They would need to provide you with their file.

I am another user who was trying to help trouble shoot just this one area

and does nothing with lower resolutions - no proxy is built

of the report.

Thank you for your hard work, cheers!

Thanks for correcting me.

@Victor Bula (sachmo) I will definitely need sample of your file as I realized, blender can not create prores videos.

Christopher_Anderssarian raised the priority of this task from Needs Information from User to Waiting for Developer to Reproduce.

@Richard Antalik (ISS) This bug just hit me...

N:\Temp\Blender\blender-2.81.0-git.af4dcc6073fa-windows64>N:\Temp\Blender\blender-2.81.0-git.af4dcc6073fa-windows64\blender.exe --debug
Switching to fully guarded memory allocator.
Blender 2.81 (sub 0)
Build: 30/07/2019 17:01 Windows Release
argv[0] = N:\Temp\Blender\blender-2.81.0-git.af4dcc6073fa-windows64\blender.exe
argv[1] = --debug

Note: No (valid) 'C:\Users\admin\AppData\Roaming\Blender Foundation\Blender\2.81\config\startup.blend' found, fall back to built-in default.

read file
  Version 280 sub 39 date unknown hash unknown
AL lib: (EE) UpdateDeviceParams: Failed to set 48000hz, got 96000hz instead
found bundled python: N:\Temp\Blender\blender-2.81.0-git.af4dcc6073fa-windows64\2.81\python
drop file F:\Blender\BugFinds\T67535 VSE crash and failure to update\Cat.blend
Read blend: F:\Blender\BugFinds\T67535 VSE crash and failure to update\Cat.blend
read file F:\Blender\BugFinds\T67535 VSE crash and failure to update\Cat.blend
  Version 280 sub 75 date 2019-07-29 14:47 hash f6cb5f54494e
Starting work on proxy: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\proxy_25_part.avi
Couldn't open outputfile! Proxy not built!
Starting work on proxy: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\proxy_50_part.avi
Couldn't open outputfile! Proxy not built!
Starting work on index: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\record_run.blen_tc
Couldn't open index target: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\record_run.blen_tc_part! Index build broken!
Starting work on index: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\free_run.blen_tc
Couldn't open index target: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\free_run.blen_tc_part! Index build broken!
Starting work on index: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\interp_free_run.blen_tc
Couldn't open index target: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\interp_free_run.blen_tc_part! Index build broken!
Starting work on index: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\record_run_no_gaps.blen_tc
Couldn't open index target: F:\Blender\BugFinds\T67535 VSE crash and failure to update\VID_201907_trimmed.mkv\record_run_no_gaps.blen_tc_part! Index build broken!
Error   : EXCEPTION_ACCESS_VIOLATION
Address : 0x000000013F6B067F
Module  : N:\Temp\Blender\blender-2.81.0-git.af4dcc6073fa-windows64\blender.exe

N:\Temp\Blender\blender-2.81.0-git.af4dcc6073fa-windows64>

Aah this helps.
Thanks

Bug is valid anyway, but just so you know what the problem is:
You are storing proxies per-project and for each video a proxy folder with same name is created.
If video is in the same folder as proxy to be built, this can not be done.

So it is best to create folder for proxies (BL_proxy for example) so this collision won't happen.

Fixing this will probably not be nice :{

Christopher_Anderssarian lowered the priority of this task from Waiting for Developer to Reproduce to Needs Information from User.Jul 31 2019, 8:58 PM

Okay, so this is probably not the issue reported here... I'll make a new bug report.

@Victor Bula (sachmo) Can you please provide a ProRes file (with sample .blend) that crashes Blender?

Looks like we still havent gotten an example file from @Victor Bula (sachmo).
Since last asking for information it has been 7 or more days, due to the policy of our bug tracker we will have to archive the report until the requested information is given.